%define module	pyspatialite

Name:		python-%{module}
Version:	3.0.1
Release:	%mkrel 2
Group:		Development/Python
Summary:	Python interface to Spatialite
License:	zlib/libpng License
Url:		https://github.com/lokkju/pyspatialite
Source0:	https://pypi.io/packages/source/p/pyspatialite/%{module}-%{version}-alpha-0.tar.gz
Patch0:		pyspatialite-3.0.1-use-system-spatialite.patch
Patch1:		pyspatialite-3.0.1-fix-doc-path.patch
BuildRequires:	geos-devel
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(spatialite)
BuildRequires:	pkgconfig(proj)
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)

%description
pyspatialite is an interface to the SQLite 3.x embedded relational
database engine with spatialite extensions.
It is almost fully compliant with the Python database API version 2.0
and also exposes the unique features of SQLite and spatialite.

%prep
%setup -n %{module}-%{version}-alpha-0
%autopatch -p1

%build
%py2_build

%install
%py2_install

%files
%doc %{_docdir}/%{module}/
%{python2_sitearch}/%{module}/
%{python2_sitearch}/%{module}*-py%{python2_version}.egg-info


%changelog
* Sat Nov 26 2016 daviddavid <daviddavid> 3.0.1-2.mga6
+ Revision: 1070345
- improve use-system-spatialite patch to fix build

* Tue Jul 26 2016 daviddavid <daviddavid> 3.0.1-1.mga6
+ Revision: 1043648
- imported package python-pyspatialite

